--- Makefile    2007-05-17 10:26:37.000000000 -0400
+++ ../2asteriskgui/Makefile    2007-05-17 10:24:50.000000000 -0400
@@ -235,6 +235,28 @@
        @if [ -x /usr/sbin/asterisk-gui-post-install ]; then \
                /usr/sbin/asterisk-gui-post-install $(DESTDIR) . ; \
        fi
+update:
+       @if [ -d .svn ]; then \
+               echo "Updating from Subversion..." ; \
+               svn update | tee update.out; \
+               rm -f .version; \
+               if [ `grep -c ^C update.out` -gt 0 ]; then \
+                       echo ; echo "The following files have conflicts:" ; \
+                       grep ^C update.out | cut -b4- ; \
+               fi ; \
+               rm -f update.out; \
+       else \
+               echo "Not under version control";  \
+       fi
+
+uninstall:
+       @for x in gui_configs/*; do \
+               rm -f $(ASTETCDIR)/$$x; \
+       done
+       @for x in scripts/*; do \
+               rm -f $(ASTVARLIBDIR)/scripts/$$x; \
+       done
+       rm -rf $(HTTPDIR);

 install: _install
        @echo " +---- Asterisk GUI Installation Complete ---+"
